GET /sandboxes/metrics
List sandbox metrics
List metrics for given sandboxes
Параметры
sandbox_ids·array<string>· запрос · обязательноComma-separated list of sandbox IDs to get metrics for
Максимум элементов:
100Уникальные элементы:
даСериализация: style
form; explodefalse; wire formatsandbox_ids=value1,value2
Ответы
200
Successfully returned all running sandboxes with metrics
Content-Type: application/json
Схема: SandboxesWithMetrics
sandboxes·object· обязательноsandboxes.*·SandboxMetric· additional propertyMetric entry with timestamp and line
sandboxes.*.timestampUnix·integer· обязательноTimestamp of the metric entry in Unix time (seconds since epoch)
Формат:
int64sandboxes.*.cpuCount·integer· обязательноNumber of CPU cores
Формат:
int32sandboxes.*.cpuUsedPct·number· обязательноCPU usage percentage
Формат:
floatsandboxes.*.memUsed·integer· обязательноMemory used in bytes
Формат:
int64sandboxes.*.memTotal·integer· обязательноTotal memory in bytes
Формат:
int64sandboxes.*.memCache·integer· обязательноCached memory (page cache) in bytes
Формат:
int64sandboxes.*.diskUsed·integer· обязательноDisk used in bytes
Формат:
int64sandboxes.*.diskTotal·integer· обязательноTotal disk space in bytes
Формат:
int64
401
Authentication error
Content-Type: application/json
Схема: Error
code·integer· обязательноError code
Формат:
int32message·string· обязательноError
400
Bad request
Content-Type: application/json
Схема: Error
code·integer· обязательноError code
Формат:
int32message·string· обязательноError
500
Server error
Content-Type: application/json
Схема: Error
code·integer· обязательноError code
Формат:
int32message·string· обязательноError